Subject: bug#920: devuan-desktop: System automatically logs out after a few minutes inactivity.

From: Bob Bowles <[email-masked]>
Date: Fri, 7 Nov 2025 10:36:24 +0000

That was interesting. So here's what I did:
At slim login screen do console login
$ sudo service slim stop
$ startx (xfce starts up)
wait about 10 minutes

The result:
Around the 10-minute mark the screen went blank. Then I moved the
mouse, and the screen came back, just like a screensaver, Except I
don't have a screensaver (or didn't think I had...).
I checked ~/.xsession-errors, no errors
also Xorg.0.log, could not see anything obvious.

Please find attached the zipped logfile.

Thanks everyone for your help on this

Kind Regards  Bob

On Fri, 7 Nov 2025 at 09:04, Mark Hindley <[email-masked]> wrote:
>
> OK, that appears to let slim off the hook.
>
> I wonder what happens if you stop slim with
>
>     sudo service slim stop
>
>
> and run
>
>    startx
>
> from a tty?
>
> If that also behaves badly, maybe ~/Xorg.0.log shows something.
>
> Can you attach it? Screenshots are really too big.
>
> Thanks
>
> Mark
>
>

-- 
Dr RJ Bowles

25 Wellesley Avenue North  Norwich  NR1 4NT
+44 (0)7912 297662

Skype: bob.john.bowles
Email: [email-masked]